# Get terminal

Get terminal by ID

Endpoint: GET /terminal/{id}
Version: 0.9.74
Security: bearer, apiKey, apiSecret

## Header parameters:

  - `Authorization` (string, required)

## Path parameters:

  - `id` (string, required)

## Response 200 fields (application/json):

  - `success` (boolean)

  - `message` (string)

  - `code` (integer)

  - `terminal` (object)

  - `terminal.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `terminal.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `terminal.uuid` (string, required)

  - `terminal.primaryPlatformId` (string, required)

  - `terminal.createdAt` (string)
    The date and time this Entity has been created

  - `terminal.updatedAt` (string)
    The date and time this Entity has been updated

  - `terminal.language` (object)
    circular reference

  - `terminal.name` (string, required)

  - `terminal.integrationType` (string)
    Enum: "portbase", "psa", "dpworld"

  - `terminal.ean` (string)

  - `terminal.bicsCode` (string)

  - `terminal.quayName` (string)

  - `terminal.smdgCode` (string)

  - `terminal.locations` (array)

  - `terminal.allowedModalities` (array)

  - `terminal.terminalSettings` (array)

  - `terminal.terminalSettings.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `terminal.terminalSettings.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `terminal.terminalSettings.uuid` (string, required)

  - `terminal.terminalSettings.primaryPlatformId` (string, required)

  - `terminal.terminalSettings.createdAt` (string)
    The date and time this Entity has been created

  - `terminal.terminalSettings.updatedAt` (string)
    The date and time this Entity has been updated

  - `terminal.terminalSettings.language` (object)
    circular reference

  - `terminal.terminalSettings.loading` (boolean)

  - `terminal.terminalSettings.full` (boolean)

  - `terminal.terminalSettings.modality` (string)

  - `terminal.terminalSettings.sealNumberAllowed` (boolean)

  - `terminal.terminalSettings.reeferAllowed` (boolean)

  - `terminal.terminalSettings.grossWeightAllowed` (boolean)

  - `terminal.terminalSettings.outOfGaugeAllowed` (boolean)

  - `terminal.terminalSettings.dangerousGoodsAllowed` (boolean)

  - `terminal.terminalSettings.cargoCutOffInMinutes` (integer)

  - `terminal.tarRequired` (boolean)

  - `terminal.roadLicenseIdRequired` (boolean)

## Response 400 fields (application/json):

  - `success` (boolean)

  - `message` (string)

  - `code` (integer)

  - `errors` (array)

  - `suggestion` (string)


